CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [možnosti]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the e-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 …

Everything after the -- is passed to the script.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: „/some path/with spaces“

[MOŽNOSTI]

--add-simple-plugin
    Dodaj vtičnik (npr. vtičnik, ki vsebuje samo datoteko .py) tako, da nevedeš pot do njega

--command, -c
    Run Python code.

--debug-device-driver, -d
    Odpravi napake pri zaznavanju naprave

--default-programs
    Registriraj/Odstrani calibre iz Privzeti Programi Windows --default-programs = (register|unregister)

--diff
    Run the calibre diff tool. For example: calibre-debug --diff file1 file2

--edit-book, -t
    Launch the calibre "Edit book" tool in debug mode.

--exec-file, -e
    Run the Python code in file.

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Izvozi vse podatke calibre (knjige, nastavitve, vstavke)

--gui, -g
    Pri odpravljanju napak zaženi GUI. Morebitne napake so izpisane v stdout in stderr.

--gui-debug
    Zaženi GUI s konzolo za odpravo napak, prijavite se na navedeno pot. Za interno oporabo, uporabite stikalo -g za zagon GUI v načinu za odpravo napak.

--help, -h
    show this help message and exit

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Uvozi predhodno izvožene calibre podatke

--inspect-mobi, -m
    Preveri MOBI datoteke na navedeni(h) poti(eh)

--paths
    Izpiši poti, ki so potrebne za nastavitev okolja calibre

--reinitialize-db
    Ponovno inicializiraj podatkovno bazo SQLite za calibre na navedeni poti. Uporabi v primeru obnavljanja podatkov iz podatkovne zbirke.

--run-plugin, -r
    Run a plugin that provides a command line interface. For example: calibre-debug -r "Add Books" -- file1 --option1 Everything after the -- will be passed to the plugin as arguments.

--shutdown-running-calibre, -s
    Ugasni zagnano instanco calibre. Vse trenutno zagnane operacije bodo prekinjene.

--subset-font, -f
    Dodaj zbrano pisavo v podskupino. Uporabi -- po tej možnosti, če želiš dodati pisavo v podskupino programa.

--test-build
    Preizkusi module v gradnji programa

--version
    show program's version number and exit

--viewer, -w
    Run the E-book viewer in debug mode

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal